EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

    ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a folder and an "open e-book" (OEB) consisting of HTML files is written to that folder. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see E-book conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

The options and default values for the options change depending on both the input and output formats, so you should always check with:

    ebook-convert myfile.input_format myfile.output_format -h

Below are the options that are common to all conversion, followed by the options specific to every input and output format.

•   OPŢIUNI DE INTRATE

•   OPȚIUNI DE IEȘIRE

•   ASPECT ŞI COMPORTAMENT

•   HEURISTIC PROCESSING

•   CAUTĂ ȘI ÎNLOCUIEȘTE

•   STRUCTURE DETECTION

•   CUPRINS

•   METADATA

•   DEBUG

--help, -h
    show this help message and exit

--input-profile
    Specificați profilul de intrare. Profilul de intrare dă sistemului de conversie informații asupra cum se interpretează diferite informații din documentul de intrare. De exemplu lungimile dependente de rezoluție (ex. lungimile în pixeli). Variantele sunt: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device. In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    show program's version number and exit

OPŢIUNI DE INTRATE

Opțiuni pentru controlul prelucrării fișierului de intrare mobi

--input-encoding
    Precizarea codificării caracterelor documentului sursă. Selectarea acestei opţiuni va suprascrie orice opţiune de codificare prezentă în document. Este utilă în special pentru documentele care nu declară o codificare sau care au declaraţii eronate de codare.

OPȚIUNI DE IEȘIRE

Opțiuni pentru controlul prelucrării fișierului de ieșire epub

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    Această opţiune este necesară doar daca doriţi să utilizaţi EPUB cu FBReaderJ. Va aplatiza sistemul de fişiere din interiorul EPUB, aşezând toate fişierele pe nivelul superior.

--epub-inline-toc
    Inserează un Cuprins ce va apărea ca parte a conținutului cărții.

--epub-max-image-size
    The maximum image size (width x height). A value of none means use the screen size from the output profile. A value of profile means no maximum size is specified. For example, a value of 100x200 will cause all images to be resized so that their width is no more than 100 pixels and their height is no more than 200 pixels. Note that this only affects the size of the actual image files themselves. Any given image may be rendered at a different size depending on the styling applied to it in the document.

--epub-toc-at-end
    Pune Cuprinsul inserat la sfârșitul cărții, în loc de început.

--epub-version
    The version of the EPUB file to generate. EPUB 2 is the most widely compatible, only use EPUB 3 if you know you actually need it.

--extract-to
    Extract the contents of the generated EPUB file to the specified folder. The contents of the folder are first deleted, so be careful.

--flow-size
    Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

--no-default-epub-cover
    În mod normal, dacă fişierele intrate nu au nici o copertă şi dumneavoastră nu specificaţi una, o copertă aleatoare va fi generată cu titlu, autor, etc. Aceasta opţiune dezactivează generarea acestei coperţi.

--no-svg-cover
    Nu utilizaţi SVG pentru coperta cărţii. Utilizaţi această opţiune daca EPUB-ul dumneavoastră urmează să fie utilizat pe un dispozitiv care nu suportă SVG, asemenea iPhone-ului sau JetBook Lite. Făra această opţiune, asemenea dispozitive vor afişa coperta ca o pagină albă.

--preserve-cover-aspect-ratio
    Când utilizaţi o copertă SVG, această opţiune va determina coperta să încadreze spaţiul disponibil al ecranului, dar să-i păstreze încă aspectul (raportul dintre lăţime şi înalţime). Înseamnă că pot rămne margini albe la capetele de sus sau de jos, dar imaginea nu va fi niciodată distrusă. Fără această opţiune imaginea poate fi uşor distrusă, dar nu vor exista margini.

--pretty-print
    Dacă este specificat, plugin-ul de ieșire va încerca să creeze un document cât mai uşor de citit de către utilizator. Este posibil să nu aibă niciun rezultat în cazul anumitor conectoare.

--toc-title
    Title for any generated inline table of contents.

ASPECT ŞI COMPORTAMENT

Opțiuni pentru controlul aspectului și comportamentului ieșirii

--asciiize
    Transliterate Unicode characters to an ASCII representation. Use with care because this will replace Unicode characters with ASCII. For instance it will replace "Pelé" with "Pele". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

--base-font-size
    The base font size in pts. All font sizes in the produced book will be rescaled based on this size. By choosing a larger size you can make the fonts in the output bigger and vice versa. By default, when the value is zero, the base font size is chosen based on the output profile you chose.

--change-justification
    Schimbă alinierea textului. Valoarea "left" convertește toate textele aliniate stânga-dreapta în sursă la text aliniat la stânga (ex. nealiniat stânga-dreapta). Valoarea "justify" convertește textul nealiniat stânga-dreapta în text aliniat stânga-dreapta. Valoarea "original" (implicită) nu schimbă alinierea din fișierul sursă. Observați ca doar anumite formate suporta aliniere stânga-dreapta.

--disable-font-rescaling
    Dezactivează redimensionarea caracterelor.

--embed-all-fonts
    Embed every font that is referenced in the input document but not already embedded. This will search your system for the fonts, and if found, they will be embedded. Embedding will only work if the format you are converting to supports embedded fonts, such as EPUB, AZW3, DOCX or PDF. Please ensure that you have the proper license for embedding the fonts used in this document.

--embed-font-family
    Embed the specified font family into the book. This specifies the "base" font used for the book. If the input document specifies its own fonts, they may override this base font. You can use the filter style information option to remove fonts from the input document. Note that font embedding only works with some output formats, principally EPUB, AZW3 and DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Fie calea spre o foaie de stiluri CSS, fie CSS brut. Acest CSS va fi adăugat la regulile de stil din fişierul sursă, astfel încât poate fi folosit pentru a suprascrie acele reguli.

--filter-css
    A comma separated list of CSS properties that will be removed from all CSS style rules. This is useful if the presence of some style information prevents it from being overridden on your device. For example: font-family,color,margin-left,margin-right

--font-size-mapping
    Punerea în legătură a numelor de fonturi CSS cu mărimile în pts ale fonturilor. Un exemplu de configurare este: 12,12,14,16,18,20,22,24. Acestea sunt corespondențele mărimilor de la xx-mic la xx-mare, mărimea finală fiind utilizată pentru fonturi foarte mari. Algoritmul de redimensionare a fontului folosește aceste mărimi pentru a redimensiona in mod inteligent fonturile. Implicit se folosește corespondența bazată pe profilul de ieșire pe care l-ați ales.

--insert-blank-line
    Introduce o linie liberă între paragrafe. Nu va funcționa dacă fișierul sursă nu folosește paragrafe (etichetele <p> sau <div>).

--insert-blank-line-size
    Stabileşte dimensiunea (înălţimea) rândurilor goale introduse. Înălţimea rândurilor dintre paragrafe va fi dublul valorii introduse aici.

--keep-ligatures
    Preserve ligatures present in the input document. A ligature is a combined character of a pair of characters like ff, fi, fl et cetera. Most readers do not have support for ligatures in their default fonts, so they are unlikely to render correctly. By default, calibre will turn a ligature into the corresponding pair of normal characters. Note that ligatures here mean only unicode ligatures not ligatures created via CSS or font styles. This option will preserve them instead.

--line-height
    Înălțimea liniei exprimată în puncte. Controlează spațierea dintre liniile de text consecutive. Se aplică doar elementelor care nu iși definesc propria înălțime a liniei. În majoritatea cazurilor, alegearea înălțimii minime a liniei este mai utilă. În mod implicit nu sunt efectuate modificări ale înălțimii liniei.

--linearize-tables
    Câteva documente rău proiectate folosesc tabele pentru a controla poziția textului în pagină. Când sunt convertite aceste documente, adesea textul iese din pagină sau alte componente. Această opțiune va extrage conținutul din tabele și îl va prezenta în mod liniar.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    Înălţimea minimă a liniei, ca un procent din dimensiunea fontului elementului calculat, calibre se va asigura că fiecare element are o înălţime de linie cel puţin egală cu această valoare, indiferent de ceea ce documentul de intrare specifică. Setați la zero pentru a dezactiva. Implicit este 120%. Utilizaţi această setare în preferinţa specificării înălţimii liniei directe, cu excepţia cazului în care ştiţi ce faceţi. De exemplu, puteţi obţine text "dublu spațiat" dacă folosiți valoarea 240.

--remove-paragraph-spacing
    Șterge spațiile dintre paragrafe. De asemenea fixează indentarea pe paragrafe la 1.5em. Ștergerea spațiilor nu va funcționa dacă fișierul sursă nu folosește paragrafe (etichetele <p> sau <div>).

--remove-paragraph-spacing-indent-size
    Atunci când calibre elimină liniile goale dintre paragrafe, setează automat un alineat la paragraf pentru a asigura o distincţie cât mai uşoară între paragrafe. Această opţiune controlează mărimea alineatului. Dacă setaţi aceasta ca şi valoare negativă, atunci alineatul din documentul de intrare este folosit, ceea ce înseamnă că nu se schimbă alineatul.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants.

--subset-embedded-fonts
    Subset all embedded fonts. Every embedded font is reduced to contain only the glyphs used in this document. This decreases the size of the font files. Useful if you are embedding a particularly large font with lots of unused glyphs.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--transform-html-rules
    Path to a file containing rules to transform the HTML in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform HTML" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Converteşte ghilimelele extravagante, liniile de pauză şi elipsele în echivalentul lor simplu.

HEURISTIC PROCESSING

Modifică textul şi structura documentului folosind modele comune. Această opţiune este dezactivată în mod implicit. Folosiţi --enable-heuristics pentru a o activa. Acţiuni individuale pot fi dezactivate cu opţiunile --disable-
*
.

--disable-dehyphenate
    Analizaţi cuvintele despărţite în silabe din întregul document. Documentul în sine este folosit ca un dicţionar pentru a determina dacă cratimele ar trebui să fie păstrate sau eliminate.

--disable-delete-blank-paragraphs
    Elimină paragrafele goale din document atunci când acestea există între fiecare alte paragrafe.

--disable-fix-indents
    Schimbă indentaţia creată din multiple entități de spațiu neintrerupte în paragrafe CSS.

--disable-format-scene-breaks
    Separatorii de text aliniaţi la stânga vor fi aliniaţi la centru. Înlocuiţi separatorii de text care folosesc linii goale multiple cu reguli orizontale.

--disable-italicize-common-cases
    Caută cuvinte comune şi tipare care denotă caractere cursive şi tipărește-le cursiv.

--disable-markup-chapter-headings
    Detectează titlurile și sub-titlurile neformatate. Modifică-le în etichete de tip h2 și h3. Această setare nu va crea un cuprins, dar poate fi folosită împreună cu detectarea structurii pentru a crea unul.

--disable-renumber-headings
    Caută evenimente secvenţale ale etichetelor <h1> sau <h2>. Etichetele sunt renumerotate pentru a preveni scindarea în mijlocul capitolului.

--disable-unwrap-lines
    Desfășoară liniile folosind semne de punctuație și alte indicii de formatare.

--enable-heuristics
    Activați procesarea euristică. Această opțiune trebuie sa fie activată pentru ca orice procesare euristică să aibă loc.

--html-unwrap-factor
    Scara utilizată pentru a determina lungimea la care o linie ar trebui să fie desfășurată. Valorile valide sunt zecimale între 0 și 1. Valoarea implicită este de 0,4 , tocmai sub lungimea mediană a liniei. În cazul în care doar câteva linii în document necesită desfășurare această valoare ar trebui să fie redusă

--replace-scene-breaks
    Înlocuieşte întreruperile textului cu textul specificat. În mod prestabilit, se utilizează textul din document.

CAUTĂ ȘI ÎNLOCUIEȘTE

Modifică textul și structura documentului folosind tipare definite de către utilizator.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Înlocuieşte textul găsit prin căutarea sr1-search.

--sr1-search
    Modelul de căutare (expresia regulată) va fi înlocuit cu sr1-replace.

--sr2-replace
    Înlocuieşte textul găsit prin căutarea sr2-search.

--sr2-search
    Modelul de căutare (expresia regulată) va fi înlocuit cu sr2-replace.

--sr3-replace
    Înlocuieşte textul găsit prin căutarea sr3-search.

--sr3-search
    Modelul de căutare (expresia regulată) va fi înlocuit cu sr3-replace.

STRUCTURE DETECTION

Controlează auto-detecţia structurii documentului

--add-alt-text-to-img
    When an <img> tag has no alt attribute, check the associated image file for metadata that specifies alternate text, and use it to fill in the alt attribute. The alt attribute is used by screen readers for assisting the visually challenged.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Specificați cum să marcați capitolele detectate. Valoarea "pagebreak" va introduce sfârșituri de pagină înaintea capitolelor. Valoarea "rule" va introduce o linie înainte de capitole. Valoarea "none" va dezactiva marcarea capitolului și valoarea "both" va folosi atât sfârșiturile de pagină cât și liniile pentru marcarea capitolelor.

--disable-remove-fake-margins
    Unele documente specifică bordura paginii prin specificarea marginilor drepte şi stângi pe fiecare paragraf în parte. calibre va incerca să identifice şi să înlăture aceste margini. Uneori, această acţiune poate cauza îndepărtarea unor margini care nu trebuiau scoase. În acest caz, puteţi dezactiva scoaterea.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    An XPath expression. Page breaks are inserted before the specified elements. To disable use the expression: /

--prefer-metadata-cover
    Preferă utilizarea coperţii detectate în fişierul sursă in loc de coperta specificată.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

CUPRINS

Controlul generării automate a cuprinsului. Implicit, dacă fișierul sursă are un cuprins, acesta va fi folosit de regulă pentru cuprinsul celui generat automat.

--duplicate-links-in-toc
    When creating a TOC from links in the input document, allow duplicate entries, i.e. allow more than one entry with the same text, provided that they point to a different location.

--level1-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level one. If this is specified, it takes precedence over other forms of auto-detection. See the XPath Tutorial in the calibre User Manual for examples.

--level2-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level two. Each entry is added under the previous level one entry. See the XPath Tutorial in the calibre User Manual for examples.

--level3-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level three. Each entry is added under the previous level two entry. See the XPath Tutorial in the calibre User Manual for examples.

--max-toc-links
    Numărul maxim de legături de introdus în cuprins. Puneți 0 pentru a-l dezactiva. Implicit este: 50. Legăturile sunt adăugate la cuprins dacă numărul-prag de capitole detectate nu a fost atins.

--no-chapters-in-toc
    Nu adăuga capitolele auto-detectate la cuprins.

--toc-filter
    Şterge intrările din cuprins ale căror titluri corespund expresiilor regulate specifice. Intrările corespondente şi toţi fiii lor sunt şterse.

--toc-threshold
    Dacă sunt detectate mai puţine capitole decât numărul acesta, atunci se adaugă legături la cuprins. Implicit: 6

--use-auto-toc
    În mod normal dacă fişierul sursă are deja un cuprins acesta este preferat faţă de cel generat automat. Cu această opţiune cel generat automat este folosit întotdeauna.

METADATA

Opțiuni pentru precizarea metadatelor la ieșire

--author-sort
    Şir de caractere care trebuie utilizat la sortarea după autor.

--authors
    Introduceţi autorii. Autorii multipli trebuie separaţi prin "&".

--book-producer
    Indică producătorul cărții.

--comments
    Set the e-book description.

--cover
    Setează coperta către fişierul sau URL specificat.

--isbn
    Indicați numărul ISBN al cărții.

--language
    Indică limba.

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Set the e-book publisher.

--rating
    Stabiliţi evaluarea personală a cărţii. Ar trebui să fie un număr între 1 şi 5.

--read-metadata-from-opf, --from-opf, -m
    Citeşte metadatele din fişierul OPF specificat. Metadatele citite din acest fişier vor suprascrie orice metadată din fişierul sursă.

--series
    Set the series this e-book belongs to.

--series-index
    Setaţi indexul cărtii în această serie

--tags
    Introduceți etichetele pentru carte. Ar trebui să fie o listă separată prin virgule.

--timestamp
    Indică data cărții (nu mai este folosită nicăieri)

--title
    Stabileşte titul.

--title-sort
    Versiunea titlului de folosit pentru sortare.

DEBUG

Opțiuni pentru asistarea depanării conversiei

--debug-pipeline, -d
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring.

--verbose, -v
    Level of verbosity. Specify multiple times for greater verbosity. Specifying it twice will result in full verbosity, once medium verbosity and zero times least verbosity.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal